MODULE YOMRINC

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

! NTLMAX  : TRUNCATION OF THE INPUT CONTROL VECTOR (MULTI-INCREMENTAL)
! NTLEFRE : (NTLMAX+1)*(NTLMAX+1)
! NTLPEC2G: (NTLMAX+1)*(NTLMAX+2)
! QNLMINQ : minimum Q returned by QNEGLIM (and TOVCLR)
! QNLCURV : controls curvature of QNEGLIM transfer function for small Q

! SPA3I   : array to hold increment
! SPA2I   : array to hold increment

!     ------------------------------------------------------------------

REAL(KIND=JPRB),ALLOCATABLE:: SPA3I(:,:,:)
REAL(KIND=JPRB),ALLOCATABLE:: SPA2I(:,:)

REAL(KIND=JPRB) :: QNLMINQ
REAL(KIND=JPRB) :: QNLCURV

END MODULE YOMRINC
